%global pypi_name django-extensions

Name:           python-%{pypi_name}
Version:        1.0.3
Release:        2%{?dist}
Summary:        Extensions for Django

License:        BSD
URL:            https://github.com/django-extensions/django-extensions
Source0:        http://pypi.python.org/packages/source/d/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
# patch adding LICENSE to release tarball accepted upstream, will be included in the next version
Source1:        LICENSE
BuildArch:      noarch

BuildRequires:  python2-devel

%if 0%{?fedora} >= 18
Requires: python-django
%else
Requires:        Django
%endif
Requires: python-openid

%description
Django Extensions is a collection of custom extensions for the Django Framework.
These include management commands, additional database fields,
admin extensions and much more.

%prep
%setup -q -n %{pypi_name}-%{version}
cp %{SOURCE1} .

%build
%{__python} setup.py build

rm docs/_build/html/.buildinfo
mv docs/_build/html docs/html
rm -r docs/_build/
# get rid of emtpy files (.tmpl templates)
rm -r django_extensions/conf
rm django_extensions/tests/urls.py

%install
%{__python} setup.py install --skip-build --root %{buildroot}

%files
%doc LICENSE
%doc docs
%{python_sitelib}/django_extensions
%{python_sitelib}/django_extensions-%{version}-py?.?.egg-info

%attr(755,-,-) %{python_sitelib}/django_extensions/utils/dia2django.py
%attr(755,-,-) %{python_sitelib}/django_extensions/management/modelviz.py
%attr(755,-,-) %{python_sitelib}/django_extensions/management/commands/dumpscript.py

%changelog
* Fri Feb 15 2013 Richard Marko <rmarko@fedoraproject.org> - 1.0.3-2
- Remove empty tests/urls.py file.

* Tue Jan 29 2013 Richard Marko <rmarko@fedoraproject.org> - 1.0.3-1
- Initial package.
